DCMTK: DcmJsonFormatCompact Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DcmJsonFormatCompact Class Reference

Subclass for handling JSON formatted output. More...

Inheritance diagram for DcmJsonFormatCompact:

## Public Member Functions
| DcmJsonFormatCompact (const OFBool printMetaInfo=OFTrue)
| DcmJsonFormatCompact constructor.
void | printIndention (STD_NAMESPACE ostream &out)
| Does nothing.
void | increaseIndention ()
| Does nothing.
void | decreaseIndention ()
| Does nothing.
OFString | newline ()
| Does nothing.
OFString | space ()
| Does nothing.
Public Member Functions inherited from DcmJsonFormat
| DcmJsonFormat (const OFBool printMetaInfo)
| Constructor.
virtual | ~DcmJsonFormat ()
| Virtual destructor, does nothing.
Indention | indent ()
| Method to return an indention proxy object for increasing, decreasing or printing indention.
virtual OFBool | asBulkDataURI (const DcmTagKey &tag, OFString &uri)
| Check if an attribute should be exported as BulkDataURI.
virtual void | printValuePrefix (STD_NAMESPACE ostream &out)
| Print the Prefix which for JSON Values needed with indention and newlines as in the format Variable given.
virtual void | printValueSuffix (STD_NAMESPACE ostream &out)
| Print the Suffix which for JSON Values needed with indention and newlines as in the format Variable given.
virtual void | printBulkDataURIPrefix (STD_NAMESPACE ostream &out)
| Print the Prefix which for JSON BulkDataURI needed with indention and newlines as in the format Variable given.
virtual void | printInlineBinaryPrefix (STD_NAMESPACE ostream &out)
| Print the Prefix which for JSON InlineBinary needed with indention and newlines as the format specifies.
virtual void | printNextArrayElementPrefix (STD_NAMESPACE ostream &out)
| Print the prefix for array elements (except the first one), with indention and newlines as the format specifies.
virtual OFBool | getJsonExtensionEnabled () const
| return the flag indicating whether extended JSON number encoding is enabled.
virtual void | setJsonExtensionEnabled (OFBool enabled)
| set the flag indicating whether extended JSON number encoding is enabled.
virtual NumStringPolicy | getJsonNumStringPolicy () const
| return the flag defining how IS/DS elements should be converted to JSON.
virtual void | setJsonNumStringPolicy (NumStringPolicy policy)
| set the flag defining how IS/DS elements should be converted to JSON.

## Additional Inherited Members
Public Types inherited from DcmJsonFormat
enum | NumStringPolicy { NSP_auto , NSP_always_number , NSP_always_string }
| an enumeration defining how to convert IS/DS elements to JSON More...
Static Public Member Functions inherited from DcmJsonFormat
static void | escapeControlCharacters (STD_NAMESPACE ostream &out, OFString const &value)
| Escapes all forbidden control characters in JSON.
static void | normalizeDecimalString (OFString &value)
| Normalize Decimal String to specific JSON format.
static void | normalizeIntegerString (OFString &value)
| Normalize Integer String to specific JSON format.
static void | printString (STD_NAMESPACE ostream &out, const OFString &value)
| Prints either null if empty or the string value (with all illegal characters escaped).
static void | printValueString (STD_NAMESPACE ostream &out, const OFString &value)
| Prints either null if empty or a quoted string (with leading and ending quotation marks and all illegal characters escaped).
static void | printNumberInteger (STD_NAMESPACE ostream &out, OFString &value)
| Print either null if empty or a Number as normalized IntegerString.
static void | printNumberDecimal (STD_NAMESPACE ostream &out, OFString &value)
| Print either null if empty or a Number as normalized IntegerDecimal.
Public Attributes inherited from DcmJsonFormat
const OFBool | printMetaheaderInformation
| Option that defines if metaheader information should be printed.

## Detailed Description

Subclass for handling JSON formatted output.

Standard class for non-formatted output.

## Constructor & Destructor Documentation

## ◆ DcmJsonFormatCompact()

DcmJsonFormatCompact::DcmJsonFormatCompact | ( | const OFBool | printMetaInfo = OFTrue | ) |
| explicit

DcmJsonFormatCompact constructor.

Parameters

  printMetaInfo | Enable/Disable including Metaheader in the output

## Member Function Documentation

## ◆ newline()

OFString DcmJsonFormatCompact::newline | ( |  | ) |
| virtual

Does nothing.

Returns
  a empty String.

Implements DcmJsonFormat.

## ◆ printIndention()

void DcmJsonFormatCompact::printIndention | ( | STD_NAMESPACE ostream & | out | ) |
| virtual

Does nothing.

Parameters

  out | output stream to which the indention is written.

Implements DcmJsonFormat.

## ◆ space()

OFString DcmJsonFormatCompact::space | ( |  | ) |
| virtual

Does nothing.

Returns
  a empty String.

Implements DcmJsonFormat.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcjson.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2